aboutsummaryrefslogtreecommitdiff
path: root/media
diff options
context:
space:
mode:
Diffstat (limited to 'media')
-rwxr-xr-xmedia/libs/freetype/freetype.SlackBuild146
-rwxr-xr-xmedia/sound/fluidsynth/fluidsynth.SlackBuild125
-rw-r--r--media/sound/fluidsynth/slack-required1
3 files changed, 272 insertions, 0 deletions
diff --git a/media/libs/freetype/freetype.SlackBuild b/media/libs/freetype/freetype.SlackBuild
new file mode 100755
index 00000000..0e704084
--- /dev/null
+++ b/media/libs/freetype/freetype.SlackBuild
@@ -0,0 +1,146 @@
+#!/bin/bash
+#
+# slackbuild for a freetype2 package
+#
+
+# this is a small modified version of the script found at
+# http://www.slackware.com/~alien/slackbuilds/freetype2/build/freetype2.SlackBuild
+
+CWD=`pwd`
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+PRGNAM=freetype
+VERSION=${VERSION:-2.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1rha}
+TMP=${TMP:-/tmp}
+SRC_DIR=${SRC:-$CWD}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+PACKAGE="$PRGNAM"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+RTOOL="wget"
+
+function slack_build {
+
+cat << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+freetype: freetype (A free and portable TrueType font rendering engine)
+freetype:
+freetype: FreeType 2 is a high-quality and portable font engine that is capable
+freetype: of supporting several font formats (be they bitmapped or scalable)
+freetype: through a simple and uniform interface. Its design is modular and
+freetype: allows independent "font driver" modules to be added, even at runtime,
+freetype: to support additional formats. It also provides a high-quality
+freetype: anti-aliasing renderer, an innovative auto-hinting engine, and support
+freetype: for the following font formats: TrueType Type1, CID-Type 1, Multiple
+freetype: Masters Type 1 OpenType/CFF, pure CFF, and CEF Windows FNT/FON.
+freetype:
+EOF
+
+}
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+TMP=$TMP/$PRGNAM
+PKG=$TMP/package-$PRGNAM
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+rm -rf $PKG
+mkdir -p $PKG
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+tar xvf$tarflag $SRC_DIR/$PRGNAM-$VERSION.tar.$PACKAGE_EXT
+cd $PRGNAM-$VERSION
+
+if [ -f "$CWD/freetype.illadvisederror.diff.gz" ]; then
+ # This breaks far too many things. Freetype2 developers will have to get their
+ # punishment on someone else's distribution.
+ zcat $CWD/freetype.illadvisederror.diff.gz | patch -p1 -b -z .ill --verbose
+fi
+
+if [ -f "$CWD/freetype_enable_bytecode_interpreter.patch.gz" ]; then
+ # Enable freetype's bytecode interpreter:
+ zcat $CWD/freetype_enable_bytecode_interpreter.patch.gz | patch -p1 -b -z .bc --verbose
+fi
+
+chown -R root.root .
+CFLAGS="$SLKCFLAGS" make setup CFG="--prefix=/usr --libdir=$LIBDIR $ARCH-slackware-linux"
+make || exit 32
+make install DESTDIR=$PKG
+ldconfig
+
+mkdir -p $PKG/usr/include
+( cd $PKG/usr/include
+ rm -rf freetype
+ ln -sf freetype2/freetype .
+)
+mkdir -p $PKG/usr/X11R6/lib/X11/doc
+cp -a docs $PKG/usr/X11R6/lib/X11/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/X11R6/lib/X11/doc/$PRGNAM-$VERSION/reference
+
+chown root:bin $PKG/usr/bin/*
+chmod -R go-w $PKG/usr/X11R6/lib/X11/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+
+slack_build > $PKG/install/slack-desc
+
+cd $PKG
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+makepkg -l y -c n $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
+slack_build | grep "^${PRGNAM}" > $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.txt
+(cd $REPOS && md5sum $PRGNAM-$VERSION-$ARCH-$BUILD.tgz > $PRGNAM-$VERSION-$ARCH-$BUILD.tgz.md5)
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM-$VERSION
+ rm -rf $PKG
+fi
+
diff --git a/media/sound/fluidsynth/fluidsynth.SlackBuild b/media/sound/fluidsynth/fluidsynth.SlackBuild
new file mode 100755
index 00000000..4334f23d
--- /dev/null
+++ b/media/sound/fluidsynth/fluidsynth.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/bash
+#
+# slackbuild script for fluidsynth
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building fluidsynth are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="fluidsynth"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.0.7a}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://download.savannah.gnu.org/releases/fluid/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+
+if [ "$VERSION" == "1.0.7a" ]; then
+ cd $PACKAGE-1.0.7
+else
+ cd $PACKAGE-$VERSION
+fi
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-ladspa || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+fluidsynth: fluidsynth
+fluidsynth:
+fluidsynth: FluidSynth is a real-time software synthesizer based on the
+fluidsynth: SoundFont 2 specifications. FluidSynth can read MIDI events from a
+fluidsynth: MIDI input device and render them to an audio device using SoundFont
+fluidsynth: instruments. SoundFont files are composed of digital audio "samples"
+fluidsynth: and additional instrument parameters. These files can be created or
+fluidsynth: downloaded off the Internet. FluidSynth also has support for
+fluidsynth: controlling effects in real time and can play MIDI files.
+fluidsynth:
+fluidsynth:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README THANKS TODO"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/sound/fluidsynth/slack-required b/media/sound/fluidsynth/slack-required
new file mode 100644
index 00000000..6c92f463
--- /dev/null
+++ b/media/sound/fluidsynth/slack-required
@@ -0,0 +1 @@
+ladspa